Bug 668114 - fcoe fails to login with Cisco Eaglehawk switch firmware on VFC shut/no shut
fcoe fails to login with Cisco Eaglehawk switch firmware on VFC shut/no shut
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.1
x86_64 Linux
high Severity high
: rc
: 6.1
Assigned To: Mike Christie
Storage QE
: OtherQA, ZStream
Depends On: 663561 674707
Blocks: 677180 683814
  Show dependency treegraph
 
Reported: 2011-01-07 17:40 EST by Vasu Dev
Modified: 2011-05-19 08:21 EDT (History)
18 users (show)

See Also:
Fixed In Version: kernel-2.6.32-120.el6
Doc Type: Bug Fix
Doc Text:
Operating in the FIP (FCoE Initialization Protocol) mode and performing operations that bring up ports could cause the fcoe.ko and fnic.ko modules to not be able to re-login when a port was brought back up. This was due to a bug in the FCoE (Fiber Channel over Ethernet) layer causing improper handling of FCoE LOGO frames while in the FIP mode. With this update, FCoE LOGO frames are properly handled when in the FIP mode and the fcoe.ko and fnic.ko modules no longer fail to re-login.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasu Dev 2011-01-07 17:40:41 EST
Fix is implemented by not allowing FCoE LOGO in FIP mode, EMC will also use
test case to ensure FCoE LOGO does't log out fcoe port. 

Fix is out at https://lists.open-fcoe.org/pipermail/devel/2011-January/010909.html and this depends on patches from Bug #663561 .

This fix also needs to picked by RHEL 6.0
Comment 2 RHEL Product and Program Management 2011-01-07 23:30:47 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 Barry Donahue 2011-01-19 11:35:35 EST
Is Intel going to be able to verify this fix in 6.1?
Comment 4 Jack Morgan 2011-01-19 13:12:47 EST
Yes, In fact we already verified this fix prior to pushing the patches and will verify the RPM once available.
Comment 5 Robert Love 2011-02-02 19:12:11 EST
Patch mailed to linux-scsi on 01/28/11.
Comment 6 Mike Christie 2011-02-14 15:12:17 EST
Just to sync everyone up. I was going to sent the fix in the initial comment from Vasu and the other ones I sent you last week in this bz.


Rob/Intel us know when you are done testing and we will send internally. Thanks.
Comment 7 Russell Doty 2011-02-21 11:27:29 EST
Comment 19 indicates that Intel will verify the patch once a test RPM is available. Has this test RPM been provided?
Comment 8 Robert Love 2011-02-22 19:55:43 EST
I only see 7 comments, so comment 19 must be private. We're testing a kernel RPM that Mike has provided to us that should contain this patch.
Comment 9 Russell Doty 2011-02-23 11:13:42 EST
Since we are trying to address a critical subset of FCoE bugs in a 5.6.z Z-stream release, we need to get these bugs moved to modified or on_qa as soon as possible.

This bug looks like it is in good shape as part of a larger set of 6.1 work. Can we get this bug promoted to modified (and then on_qa) so that we can start the z-stream request process?
Comment 10 Jack Morgan 2011-02-25 16:13:08 EST
Verified by Intel. Thanks
Comment 11 Robert Love 2011-03-04 14:07:09 EST
I was asked to indicate which patch is needed for this BZ. The patch that fixes this issue is linked to in the first comment, the "description". Here it is again: https://lists.open-fcoe.org/pipermail/devel/2011-January/010909.html
Comment 14 Aristeu Rozanski 2011-03-08 16:59:20 EST
Patch(es) available on kernel-2.6.32-120.el6
Comment 19 Chris Ward 2011-04-06 07:16:15 EDT
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!
Comment 20 Martin Prpic 2011-04-12 08:46:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Operating in the FIP (FCoE Initialization Protocol) mode and performing operations that bring up ports could cause the fcoe.ko and fnic.ko modules to not be able to re-login when a port was brought back up. This was due to a bug in the FCoE (Fiber Channel over Ethernet) layer causing improper handling of FCoE LOGO frames while in the FIP mode. With this update, FCoE LOGO frames are properly handled when in the FIP mode and the fcoe.ko and fnic.ko modules no longer fail to re-login.
Comment 21 Jack Morgan 2011-04-13 15:40:47 EDT
Updating Verified field
Comment 22 errata-xmlrpc 2011-05-19 08:21:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.